<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">sampleApp</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">InteractionManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::sampleApp::InteractionManager Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ab5e481c2611a1d2d5455c144d5db5fd5">acceptCall</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#adea144a9b0e372766940b96bcf5baa92">adjustVolume</a>(avsCommon::sdkInterfaces::SpeakerInterface::Type type, int8_t delta)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a8bcf02cc8b71361a7b67afe8e04159aa">begin</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a42549ad226adfc2caa04b7c8992b1556">changeSetting</a>(const std::string &amp;key, const std::string &amp;value)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ae69b59522d02bc442c252443a533e0dc">commsControl</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a43a012e48d2a27c8556b2f8e549446d9">confirmReauthorizeDevice</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a1c27683340ba8b6c5ee6bc85ad457cb4">confirmResetDevice</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">DialogUXState</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#abd299f8b82c0321d2ef640a358a04281">doNotDisturb</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#af52ad2225b6b368bc929f1062a923690">errorValue</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a7157203315ae13be727845b5b1fb9dfb">espControl</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a2fcc535eaac40f4545c619f674a2b1e1">firmwareVersionControl</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a1d6993408ccf75e07b9a1574691664f9">help</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ad0eb39434852467b718b75ee9c386d63">holdToggled</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a590f994ba472a28499686e7c46eb7b68">InteractionManager</a>(std::shared_ptr&lt; defaultClient::DefaultClient &gt; client, std::shared_ptr&lt; applicationUtilities::resources::audio::MicrophoneInterface &gt; micWrapper, std::shared_ptr&lt; sampleApp::UIManager &gt; userInterface, capabilityAgents::aip::AudioProvider holdToTalkAudioProvider, capabilityAgents::aip::AudioProvider tapToTalkAudioProvider, std::shared_ptr&lt; sampleApp::GuiRenderer &gt; guiRenderer=nullptr, capabilityAgents::aip::AudioProvider wakeWordAudioProvider=capabilityAgents::aip::AudioProvider::null(), std::shared_ptr&lt; esp::ESPDataProviderInterface &gt; espProvider=nullptr, std::shared_ptr&lt; esp::ESPDataModifierInterface &gt; espModifier=nullptr, std::shared_ptr&lt; avsCommon::sdkInterfaces::CallManagerInterface &gt; callManager=nullptr)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a174f7c0c0391dcc958a8e33b2fba2c3a">limitedHelp</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#acd0202ff30ed270b9757246702735d95">locale</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a356e9835464e65ee60ce67ff8d95c304">microphoneToggle</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ac28f533f059a9ac5166fe1774633f24d">onDialogUXStateChanged</a>(DialogUXState newState) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#adc1522714b3c40531c34535505b3dc57">playbackLoop</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a49ea3646bd4dcf21f510542c4bef3c6f">playbackNext</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#adb300f1aa1e3fe031c18d16579858172">playbackPause</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a7d8b6646a3f508f09b6244bb839538ee">playbackPlay</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ac57e3dfb62530c3b3a7dcd32c21878e6">playbackPrevious</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a9d63ff63c3b18ff8e2410bdb8cf5fbbf">playbackRepeat</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a4d07e8481dafff5cbf1bde2f2bf561bd">playbackShuffle</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a1218ca1c6ab590f0edaeccc609be3a31">playbackSkipBackward</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#af7e42d55d02c269f4840d15569aaf481">playbackSkipForward</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#aa507ee46fd61be9b303a9c2cef7b7f1d">playbackThumbsDown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a9b9e60f6bc38b657f11e146e5c8ad502">playbackThumbsUp</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a1ae1208bcb2edebad25f4250d9a8db27">resetDevice</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ad98cc08d9b3e2872c8cd7ca74833633b">setDoNotDisturbMode</a>(bool enable)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a5e6a282992c36e33a131672d85ce600b">setESPAmbientEnergy</a>(const std::string &amp;ambientEnergy)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a24107b106a1064b8fdd458ece66f09ef">setESPVoiceEnergy</a>(const std::string &amp;voiceEnergy)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a087c4fcaaad8883958bd64986e33f983">setFirmwareVersion</a>(avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion firmwareVersion)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#adbeadff2eef5a3c1bdb7c2331e8977a1">setMute</a>(avsCommon::sdkInterfaces::SpeakerInterface::Type type, bool mute)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a74defd705f2b03e617148b2bcdcf4d37">settings</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ac50d2e9dc240984ae02c434e9bfa93c8">speakerControl</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a654bdc7a63bd33f890c647b71359fb35">stateToString</a>(DialogUXState state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a06c5d4dab1a3b4edf871d36f4a29fa08">stopCall</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a930687cff8b71627b402f02effa957b3">stopForegroundActivity</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a97f3351d465d285730f8e6b83ba6d152">tap</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a96a6c8be948a8b4699ea42df4fdcf8c6">toggleESPSupport</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a6596221b483d15273ad68dd3864a73f1">volumeControl</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html">alexaClientSDK::sampleApp::InteractionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#ad258e207b4ad88c3ec94ac10204a0653">~DialogUXStateObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
